function x = Uvecs_and_Phi2Sigmavec( u, v, w, Phi )
% function x = Uvecs_and_Phi2Sigmavec( u, v, w, Phi )
% u = sigma1, v = sigma2, w = sigma3
% Reference: Yamaji & Sato (2020) J. Struct. Geol., 134, 104025
Q  = [ u, v, w ];
E0 = [ 2-Phi, 0,       0 ; ...
       0,     2*Phi-1, 0 ; ...
       0,     0,       -Phi-1 ];
Lambda = sqrt(3*(Phi^2-Phi+1));
E = Q * E0 * Q' ./ Lambda;
x = [ sqrt(3)*E(2,2)/2, (-E(1,1)+E(3,3))/2, E(2,3),E(3,1),E(1,2)];
