% main.m
clear
[file,path] = uigetfile('*.csv');
T = readtable([path,file]);
N = height(T);

ep = zeros(N,5); % 5D sigma vectors
ag = zeros(N,1); % angles of sigma1 and sigma3 orientations
for i = 1:N
    [ep(i,:),ag(i)] = axesPhi2veca(T{i,1},T{i,2},T{i,3},T{i,4},T{i,5});
    fprintf('%d  angle between sigma1 and sigma3 orientations = %f\n', i,ag(i));
    if (T{i,5}<0 || T{i,5}>1)
        fprintf('%d-th data: invalid Phi value',i)
    end % if
end % for

Theta = NaN(N); % angular stress distances
for i = 1:N
    for j = 1:N
        if i==j, continue, end
        Theta(i,j) = ep(i,:)*ep(j,:)';
        Theta(i,j) = max([Theta(i,j),-1]);
        Theta(i,j) = min([Theta(i,j), 1]);
        Theta(i,j) = acosd(Theta(i,j));
    end % for j
end % for i

writematrix(Theta,'Thetas.csv');
writematrix(ep,'5d_uvecs.csv');
fprintf('Excecution completed\n')
