function [x, y, z] = spherical2uvec( colatitude, longitude )
% converts spherical coordinates (deg) to a unit vector
% x-axis = east
% y-axis = north
% z-axis = up

deg = pi / 180;
co  = colatitude * deg;
lo  = longitude  * deg;

x = cos(lo) .* sin(co);
y = sin(lo) .* sin(co);
z =            cos(co);
